'use strict';

const args = require('yargs')
  .alias('c', 'client')
  .argv;

if (args.help) {
  console.log(`Using clipboard-share [-c] [host:port|host]
`);
}

let io;
if (args.client) {
  io = require('./lib/client')(parseHost());
} else {
  io = require('./lib/server')(parseHost());
}
require('./lib/clipboard')(io);


function parseHost() {
  const [host = '10.0.2.2', port = 1077] = (args._[0] || '').split(':');
  return {host, port};
}