'use strict';

const copyPaste = require('copy-paste');

module.exports = function(io) {
  let lastClipboard;
  let lastCopy;
  io.on('clipboard', text => {
    lastCopy = text;
    copyPaste.copy(text);
    console.log('Received: ' + text);
  });

  setInterval(() => {
    copyPaste.paste((e, current) => {
      if (current === lastCopy || current === lastClipboard) {
        return;
      }
      io.emit('clipboard', current);
      console.log('Send: ' + current);
    });
  }, 100);
};